# Filtering Sessions

{% hint style="danger" %}
**Important Note!**\
\
Constructor Groups’ V1 API has been retired and is no longer available to new customers. Please use the Groups V2 API going forward.\
\
Link to V2 API documentation: <https://developer.perculus.com/v2-en>
{% endhint %}

**Below is an example of session filtering:**

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location 'https://<DOMAIN>/xapi/session' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "test session ",
    "duration": "6"
}'
```

{% endtab %}

{% tab title="Python" %}

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()
...

# Search sessions 
sessions = client.sessions.search_session({
    "name": "test session",
    "description": "test",
    "duration": "6"
})
print(sessions)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
import APIClient from "perculus-sdk"

// API client
const client = new APIClient()
...

// Search sessions 
const sessions = client.sessions.searchSessions({
    name: "test session",
    start_date: "2024-09-27T14:00:25.699Z",
    duration: "6"
})
console.log(sessions)
```

{% endtab %}

{% tab title="Go" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}

**Example response:**

```json
[{
    "session_id": "<SESSION_ID>",
    "name": "test session",
    "description": "test",
    "tags": "",
    "start_date": "2024-09-27T14:00:25.699+03:00",
    "timezone": "Europe/Istanbul",
    "duration": 6,
    "lang": "tr-TR",
    "status": 1,
    "replay_status": 0,
    "options": {
        "allow_rating": false,
        "preparation_time": 15,
        "session_duration": 60,
        "chat": {
            "offMessageModule": true,
            "offGeneralMsging": false,
            "offGeneralMsgLimitForUser": false,
            "offSpecialMsging": false,
            "offSpecialMsgToAdmin": false,
            "offSpecialMsgToUser": false,
            "offNewMsgSound": false,
            "offClearForReplay": false,
            "onNewMsgSoundInAll": false,
            "onNewMsgNotifyInAll": false
        },
        "duration": {
            "allowExtendTime": false,
            "useRemainingTime": true
        },
        "allow_users_stream_self_cam_mic": false,
        "hide_user_streams": false,
        "enable_attendance_check": false,
        "enable_simultaneous_interpretation": false,
        "enable_simultaneous_interpretation_for_users": false,
        "start_active": false,
        "return_url": ""
    },
    "creation_date": "2024-08-01T22:53:46.5570837+00:00",
    "updating_date": null
}]
```
